Package net.commoble.exmachina.api

# Class ExMachinaTags.Blocks

java.lang.Object
net.commoble.exmachina.api.ExMachinaTags.Blocks

Enclosing class:
  `ExMachinaTags`

public static final class ExMachinaTags.Blocks extends Object
Block Tags under the exmachina namespace

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block>`
`IGNORE_VANILLA_SIGNAL`
If a block is tagged with the exmachina:ignore_vanilla_signal block tag, then when the signal grapher is determining whether a block outputs signal to the graph, it will NOT read signal from that block.
`static final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block>`
`NO_AUTOMATIC_MECHANICAL_UPDATES`
If a block is tagged with the exmachina:no_automatic_mechanical_updates block tag, block updates which result in the new block being in the tag will not trigger mechanical graph updates on that block or its neighbors, and block updates on adjacent blocks will not trigger mechanical updates on that block.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IGNORE_VANILLA_SIGNAL

public static final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> IGNORE_VANILLA_SIGNAL
If a block is tagged with the exmachina:ignore_vanilla_signal block tag, then when the signal grapher is determining whether a block outputs signal to the graph, it will NOT read signal from that block.

### NO_AUTOMATIC_MECHANICAL_UPDATES

public static final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> NO_AUTOMATIC_MECHANICAL_UPDATES
If a block is tagged with the exmachina:no_automatic_mechanical_updates block tag, block updates which result in the new block being in the tag will not trigger mechanical graph updates on that block or its neighbors, and block updates on adjacent blocks will not trigger mechanical updates on that block. Manual updates invoked via `ExMachinaGameEvents` will ignore this tag.